//modalityMap class contains all modalityItems 

class modalityItem extends SimpleMapItem { 
  String modality;
  float modalityColor;
  
  modalityItem(String modality){
    this.modality = modality;
    modalityColor = int(modality);
  }
    
  void draw(){
    
    colorMode(HSB);
    stroke(50,100);
    if(modalityColor != selectedmodality) fill(map(modalityColor, 0, 46, 0, 255), 255/2, 255/2, TRANS);
    else fill(map(modalityColor, 0, 46, 0, 255), 255/2, 255, TRANS*3);
    rect(x, y, w, h);
    
    fill(0);
    if (w > textWidth(modality) + 6) {
     if (h > textAscent() + 6) {
       textSize(50);
       textAlign(CENTER, CENTER);
       text(modality, x + w/2, y + h/2);
     }
    }
  }
}
class modalityMap extends SimpleMapModel { 
  HashMap modalities;
  
  modalityMap(){
    modalities = new HashMap();
  }
  
  void addmodality(String modality, int count){
    modalityItem item = new modalityItem(modality);
    modalities.put(modality, item);
    item.setSize(count);
  }
  
  void finishAdd(){
   items = new modalityItem[modalities.size()];
   modalities.values().toArray(items);
  }
}
