/* SELECT 
    (CASE
        WHEN itemType LIKE 'acbk' THEN '1'
        WHEN itemType LIKE 'arbk' THEN '2'
        WHEN itemType LIKE 'bcbk' THEN '3'
        WHEN itemType LIKE 'drbk' THEN '4'
        WHEN itemType LIKE 'jcbk' THEN '5'
        WHEN itemType LIKE 'jrbk' THEN '6'
        WHEN itemType LIKE 'bccd' THEN '7'
        WHEN itemType LIKE 'accd' THEN '8'
        WHEN itemType LIKE 'arcd' THEN '9'
        WHEN itemType LIKE 'jccd' THEN '10'
        WHEN itemType LIKE 'jrcd' THEN '11'
        WHEN itemType LIKE 'accdrom' THEN '12'
        WHEN itemType LIKE 'arcdrom' THEN '13'
        WHEN itemType LIKE 'bccdrom' THEN '14'
        WHEN itemType LIKE 'drcdrom' THEN '15'
        WHEN itemType LIKE 'jccdrom' THEN '16'
        WHEN itemType LIKE 'accas' THEN '17'
        WHEN itemType LIKE 'arcas' THEN '18'
        WHEN itemType LIKE 'bccas' THEN '19'
        WHEN itemType LIKE 'jccas' THEN '20'
        WHEN itemType LIKE 'jrcas' THEN '21'
        WHEN itemType LIKE 'acvhs' THEN '22'
        WHEN itemType LIKE 'alvhs' THEN '23'
        WHEN itemType LIKE 'arvhs' THEN '24'
        WHEN itemType LIKE 'bcvhs' THEN '25'
        WHEN itemType LIKE 'blvhs' THEN '26'
        WHEN itemType LIKE 'jcvhs' THEN '27'
        WHEN itemType LIKE 'jlvhs' THEN '28'
        WHEN itemType LIKE 'jrvhs' THEN '29'
        WHEN itemType LIKE 'xrvhs' THEN '30'
        WHEN itemType LIKE 'ackit' THEN '31'
        WHEN itemType LIKE 'arkit' THEN '32'
        WHEN itemType LIKE 'bckit' THEN '33'
        WHEN itemType LIKE 'jckit' THEN '34'
        WHEN itemType LIKE 'jrkit' THEN '35'
        WHEN itemType LIKE 'xrbk' THEN '36'
        WHEN itemType LIKE 'xrcdrom' THEN '37'
        WHEN itemType LIKE 'acdisk' THEN '38'
        WHEN itemType LIKE 'ardisk' THEN '39'
        WHEN itemType LIKE 'jrdisk' THEN '40'
        WHEN itemType LIKE 'acdvd' THEN '41'
        WHEN itemType LIKE 'ardvd' THEN '42'
        WHEN itemType LIKE 'bcdvd' THEN '43'
        WHEN itemType LIKE 'jcdvd' THEN '44'
        WHEN itemType LIKE 'jrdvd' THEN '45'
        ELSE '46'
    END) AS itemTypeNumber,
    SUM(CASE
        WHEN YEAR(cout) = 2006 THEN 1
        ELSE 0
    END) AS '2006',
    SUM(CASE
        WHEN YEAR(cout) = 2007 THEN 1
        ELSE 0
    END) AS '2007',
    SUM(CASE
        WHEN YEAR(cout) = 2008 THEN 1
        ELSE 0
    END) AS '2008',
    SUM(CASE
        WHEN YEAR(cout) = 2009 THEN 1
        ELSE 0
    END) AS '2009',
    SUM(CASE
        WHEN YEAR(cout) = 2010 THEN 1
        ELSE 0
    END) AS '2010',
    SUM(CASE
        WHEN YEAR(cout) = 2011 THEN 1
        ELSE 0
    END) AS '2011',
    SUM(CASE
        WHEN YEAR(cout) = 2012 THEN 1
        ELSE 0
    END) AS '2012',
    SUM(CASE
        WHEN YEAR(cout) = 2013 THEN 1
        ELSE 0
    END) AS '2013',
    SUM(CASE
        WHEN YEAR(cout) = 2014 THEN 1
        ELSE 0
    END) AS '2014',
    SUM(CASE
        WHEN YEAR(cout) = 2015 THEN 1
        ELSE 0
    END) AS '2015',
    SUM(CASE
        WHEN YEAR(cout) = 2016 THEN 1
        ELSE 0
    END) AS '2016',
    SUM(CASE
        WHEN YEAR(cout) = 2017 THEN 1
        ELSE 0
    END) AS '2017',
    SUM(CASE
        WHEN YEAR(cout) = 2018 THEN 1
        ELSE 0
    END) AS '2018',
    SUM(CASE
        WHEN YEAR(cout) = 2019 THEN 1
        ELSE 0
    END) AS '2019',
    SUM(CASE
        WHEN YEAR(cout) = 2020 THEN 1
        ELSE 0
    END) AS '2020',
    SUM(CASE
        WHEN YEAR(cout) = 2021 THEN 1
        ELSE 0
    END) AS '2021',
    SUM(CASE
        WHEN YEAR(cout) = 2022 THEN 1
        ELSE 0
    END) AS '2022',
    SUM(CASE
        WHEN YEAR(cout) = 2023 THEN 1
        ELSE 0
    END) AS '2023'
FROM
    spl_2016.outraw
WHERE
    cout >= '2006-01-01'
        AND deweyClass >= 400
        AND deweyClass <= 499
        AND !( deweyClass = '')
        AND !( title = '')
GROUP BY itemTypeNumber;
*/
